from turtle import *
from random import randint
from math import *

def joon(x1, y1, x2, y2, laius=None, varv=None):
    pu()
    if laius != None:
        pensize(laius)
    if varv != None:
        color(varv)
    # kuidas joonistada joon
    goto(x1, y1);  pd(); goto(x2, y2); pu()

##joon(-200, -200, 200, 200, 10, 'green')
xk = -200    
for nr in range(10):
    joon(xk, -100, xk, 100)
    xk = xk + 40

def ristkylik1(x, y, laius, korgus, varv=None, kas=False):
    pu()
    if varv != None:
        color(varv)
    # ristkülik (küljed paralleelsed telgedega)
    goto(x, y)
    pd()
    if kas: begin_fill()
    goto(x+laius, y)
    goto(x+laius, y+korgus)
    goto(x, y+korgus)
    goto(x, y)
    if filling(): end_fill()
    pu()

#proovida!

def ristkylik2(x, y, nurk, laius, korgus, kas=False):
    pu()
    #ristkülik (suvaline nurk)
    goto(x, y)
    pd()
    if kas: begin_fill()
    seth(nurk)
    for i in range(2):
        fd(laius); rt(90)
        fd(korgus); rt(90)
    if filling(): end_fill()
    pu()    

#proovida!

def kiir(x, y, pikkus, nurk, joon=0, värv='black'):
     '''joone pikkus, nurk, algpunkti x ja y, joone värv, joone paksus'''
     penup() #algul pliiats üles (igaks juhuks)
     pencolor(värv) #joone värv (vaikimisi must)
     if joon>0: pensize(joon) #kui joone paksust pole antud, jääb vana
     goto(x,y); pendown() #algasukoht, pliiats alla
     seth(nurk); fd(pikkus) #pööre antud suunas, joone joonistamine
     penup() #pliiats üles

#kiir(100, 100, randint(10,100), nurk, värv='yellow')
   
#Veidi keerukam funktsioon ellipsi joonistamiseks

def ellips(laius, korgus, x=None, y=None, jv=None, tv=None, joon=None, T=True, n=36):
     '''laius, kõrgus,
     keskpunkti koordinaadid x ja y (kui väärtus andmata, võetakse kilpkonna asukoht)
     jv - joone värv, tv - täitevärv, joon - joone paksus,
     (kui väärtused andmata, jäävad endised väärtused)
     T - kas täita, n - punktide arv ellipsi joonistamisel'''
     penup()
     if x==None: x=xcor() # kui x andmata, võetakse selleks kilpkonna x-asukoht
     if y==None: y=ycor() # kui y andmata, võetakse selleks kilpkonna y-asukoht
     if jv: pencolor(jv) # värvide ja joone paksuse muutmine (kui vaja)
     if tv: fillcolor(tv)
     if joon: pensize(joon)
     a = laius/2; b = korgus/2
     goto(x+a,y); pendown()
     if T: begin_fill() # täitmise algus
     for i in range(n):
         nurk = 2*pi/n*(i+1) # 360/n * 2*pi/360
         x1 = a*cos(nurk)+x; y1 = b*sin(nurk)+y
         goto(x1,y1)
     if filling(): end_fill() # kui kujund täidetakse, tuleb see lõpetada siin
     penup()



###Kasutades funktsiooni kiir joonistab järgnev skript kollaseid ühest punktist lähtuvaid erineva pikkusega jooni.
##n = 20; a = 360/n
##for i in range(n):
##     nurk = i*a
##     kiir(100, 100, randint(10,100), nurk, värv='yellow')
##
##ellips(200, 80, tv='dark blue') # ellipsite joonistamine erinevate algandmetega
##ellips(150, 50, 0, 0, tv='blue', joon=3)
##ellips(100, 30, 0, 0, jv='light blue', joon=3)
##ellips(30, 30, randint(-100, 100), -50, joon=10, T=False)

##ellips(30, 30, randint(-100, 100), -50, joon=10, T=False)
